List Webhook requests
curl --request GET \
--url https://api.sandbox.metriport.com/settings/webhook/request \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/settings/webhook/request"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/settings/webhook/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriportClient = new MetriportMedicalApi("YOUR_API_KEY");
const response = await metriportClient.listWebhookRequests();
Settings
List Webhook requests
Lists webhook requests Metriport sent to your app, sorted by most recent as default.
GET
/
settings
/
webhook
/
request
List Webhook requests
Returns webhook deliveries Metriport sent to your configured URL. Sorted by most recent
as default (
Example response:
createdAt=desc). Default page size is 50; maximum is 500.
Rows are retained for 30 days.
This is a paginated endpoint. For more information see pagination.
Query Params
string
Pagination cursor to start after a previous page. Use the
fromItem value from
meta.nextPage.number
Number of items per page. Default 50, maximum 500.
string
Sort, for example
createdAt=desc. Allowed columns: createdAt, id. When
omitted, results are sorted by most recent (createdAt=desc).Response
object
required
Pagination metadata. See
pagination.
WebhookRequest[]
required
Webhook requests Metriport sent to your URL.
Show Webhook request properties
Show Webhook request properties
string
required
The webhook request ID. Also used as
meta.messageId on the payload we send.string
required
Webhook type, for example
medical.document-download or patient.discharge.string
required
One of
processing, success, or failure.string
Extra status text, when present.
OK on success, or the reason the
request failed.object
required
The JSON stored for this send.
string
required
When the webhook request was created, ISO 8601.
string
Related request ID when this webhook was tied to another flow.
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriportClient = new MetriportMedicalApi("YOUR_API_KEY");
const response = await metriportClient.listWebhookRequests();
{
"meta": {
"nextPage": "https://api.metriport.com/settings/webhook/request?fromItem=<cursor>&count=50",
"itemsOnPage": 1,
"itemsInTotal": 1
},
"requests": [
{
"id": "00000000-0000-0000-0000-000000000000",
"type": "medical.document-download",
"status": "success",
"payload": {
"patients": [
{
"patientId": "eddeefa1-b54a-41d6-854f-0e91b7871d6a",
"type": "document-download",
"status": "completed"
}
]
},
"createdAt": "2026-09-21T19:00:00.000Z",
"requestId": "11111111-1111-1111-1111-111111111111"
}
]
}

